Developing for IE 6 and 7 is a common practice for Web developers circa 2008.  I recommend using Virtual PC 2007 and the IE images Vasudev linked.  Sadly, we will probably need the IE 6 and 7 images when IE 8 comes out.

Masochism would be creating Virtual PC images for IE 5.5, 5, 4, and 3.02 (16-bit and 32-bit).